Skip to main content

Get Rate Limiting Rules

Retrieve a list of all existing rate limiting Rules.

Request

Request-Line

GET /waap/v1.0/pbrStrategy/rateLimitings HTTP/1.1

Response

Response Body

ParameterTypeDescription
ArrayArray of Rate Limitings.

Object: Rate Limiting

ParameterTypeDescription
ruleIdIntegerRule ID number for rate limiting.
nameStringRule name for web access control.
descriptionStringThe description can have 1-200 characters.
pathOperatorStringMatching operator used to evaluate the request path. Supported values: equal, notEqual, contain, notContain, beginsWith, notBeginsWith, endsWith, notEndsWith, regex, notMatchRegex, include, exclude.
pathPatternStringThe path pattern to be matched against the request URI. The interpretation depends on pathOperator. For example, when pathOperator is contain, the rule triggers if the request path contains this value.
keyTypeStringThe request attribute used for matching. Supported values: ip, fingerprint, userAgent, cookieId.
rateLimitTypeStringSpecifies the rate limiting mode. Supported values: rate (Queries per second) or timeWindow (Queries per Time Window).
rateIntegerThe maximum number of requests allowed per second. Only applicable when rateLimitType is rate.
burstIntegerThe maximum burst capacity above the configured rate. Only applicable when rateLimitType is rate.
windowUnitStringThe time unit of the rate limit window. Supported values: second, minute, hour. Only applicable when rateLimitType is timeWindow.
maxRequestsIntegerThe maximum number of requests allowed within the specified time window. Only applicable when rateLimitType is timeWindow.
devTypeString[]Specifies the device types that the rule applies to. Supported values: pc, mac, mobile. Multiple device types can be selected.
triggeringProbabilityIntegerThe probability (in percentage) that the configured action will be triggered when the request matches the rule. Supported values: 100, 90, 80, 70, 60, 50, 40, 30, 20, 10.
autoListKeyStringThe key type used by Auto-Web ACL to automatically control request access. Supported values: ip, fingerprint.
autoListDurationIntegerThe duration (in seconds) that the key will remain in the Auto-Web ACL once triggered. The valid range is 0 to 600000.
websitesInteger[]List of website IDs the rule applies to.

Examples

Get Rate Limiting Rules

Request

GET /waap/v1.0/pbrStrategy/rateLimitings HTTP/1.1

Successful Response Body

[
{
"ruleId": 97,
"name": "test111",
"description": "test111",
"pathOperator": "contain",
"pathPattern": "/test",
"keyType": "ip",
"rateLimitType": "rate",
"rate": 100,
"burst": 100,
"windowUnit": "minute",
"maxRequests": 0,
"devType": [
"pc",
"mac",
"mobile"
],
"triggeringProbability": 90,
"autoListKey": "fingerprint",
"autoListDuration": 111,
"websites": []
}
]